diff --git a/TMOgui/TMOGUIMenu.cpp b/TMOgui/TMOGUIMenu.cpp
index 50e4549..758608c 100644
--- a/TMOgui/TMOGUIMenu.cpp
+++ b/TMOgui/TMOGUIMenu.cpp
@@ -5,10 +5,10 @@
 #include "TMOGUIMenu.h"
 #include "TMOGUIImage.h"
 #include "TMOGUIResource.h"
-#include <qpopupmenu.h>
+#include <q3popupmenu.h>
 #include <qworkspace.h>
 #include <qfile.h>
-#include <qtextstream.h>
+#include <q3textstream.h>
 #include <qlabel.h>
 #include <qmessagebox.h>
 #include <qpushbutton.h>
@@ -32,49 +32,49 @@ TMOGUIMenu::~TMOGUIMenu()
 
 int TMOGUIMenu::Create()
 {
-	pRecent = new QPopupMenu(this, "Recent");
-	pComponent = new QPopupMenu(this, "Component");
-	pFile = new QPopupMenu(this, "File");
-	pEdit = new QPopupMenu(this, "Edit");
-	pView = new QPopupMenu(this, "View");
-	pCommand = new QPopupMenu(this, "Command");
-	pWindows = new QPopupMenu(this, "Window");
-	pHelpIt = new QPopupMenu(this, "Help");
+	pRecent = new Q3PopupMenu(this, "Recent");
+	pComponent = new Q3PopupMenu(this, "Component");
+	pFile = new Q3PopupMenu(this, "File");
+	pEdit = new Q3PopupMenu(this, "Edit");
+	pView = new Q3PopupMenu(this, "View");
+	pCommand = new Q3PopupMenu(this, "Command");
+	pWindows = new Q3PopupMenu(this, "Window");
+	pHelpIt = new Q3PopupMenu(this, "Help");
 
 	LoadRecent();
 
-	pFile->insertItem( *TMOResource::pResource->IconNew->pixmap(), "&New",  pParent, SLOT(newFile()), CTRL+Key_N, 1 );
-    pFile->insertItem( *TMOResource::pResource->IconOpen->pixmap(), "&Open", pParent, SLOT(openFile()), CTRL+Key_O, 2 );
+	pFile->insertItem( *TMOResource::pResource->IconNew->pixmap(), "&New",  pParent, SLOT(newFile()), Qt::CTRL+Qt::Key_N, 1 );
+    pFile->insertItem( *TMOResource::pResource->IconOpen->pixmap(), "&Open", pParent, SLOT(openFile()), Qt::CTRL+Qt::Key_O, 2 );
 	pFile->insertItem( "&Close", pParent, SLOT(closeFile()), 0, 3);
 	pFile->insertSeparator();
-	pFile->insertItem( *TMOResource::pResource->IconSave->pixmap(), "&Save",  pParent, SLOT(saveFile()), CTRL+Key_S, 4 );
+	pFile->insertItem( *TMOResource::pResource->IconSave->pixmap(), "&Save",  pParent, SLOT(saveFile()), Qt::CTRL+Qt::Key_S, 4 );
     pFile->insertItem( *TMOResource::pResource->IconSave->pixmap(), "Save &As...", pParent, SLOT(saveasFile()), 0, 5 );
 	pFile->insertItem( *TMOResource::pResource->IconSaveAll->pixmap(), "Save A&ll", pParent, SLOT(saveallFile()), 0, 6 );
 	pFile->insertSeparator();
 	pFile->insertItem( "Page Set&up...",  pParent, SLOT(pageFile()), 0, 7 );
-    pFile->insertItem( *TMOResource::pResource->IconPrint->pixmap(), "&Print...", pParent, SLOT(printFile()), CTRL+Key_P, 8 );
+    pFile->insertItem( *TMOResource::pResource->IconPrint->pixmap(), "&Print...", pParent, SLOT(printFile()), Qt::CTRL+Qt::Key_P, 8 );
 	pFile->insertSeparator();
 	pFile->insertItem( "Recent &Files", pRecent, 9 );
 	pFile->insertSeparator();
 	pFile->insertItem( "E&xit",  pParent, SLOT(exitFile()), 0, 10);	
 	insertItem("&File", pFile, 1);
 
-	pEdit->insertItem( *TMOResource::pResource->IconUndo->pixmap(), "&Undo", pParent, SLOT(undoEdit()), CTRL+Key_Z, 1);
+	pEdit->insertItem( *TMOResource::pResource->IconUndo->pixmap(), "&Undo", pParent, SLOT(undoEdit()), Qt::CTRL+Qt::Key_Z, 1);
 //	pEdit->insertItem( "&Redo", pParent, SLOT(redoEdit()), CTRL+Key_Y, 2);
 	pEdit->insertSeparator();
 	insertItem("&Edit", pEdit, 2);
 	Disable(2, 1);
 //	Disable(2, 2);
 
-	pView->insertItem( "&Info", pParent, SLOT(viewInfo()), ALT+Key_0, 1);
-	pView->insertItem( "&Tone Mapping", pParent, SLOT(viewRight()), ALT+Key_1, 2);
-	pView->insertItem( "&Histogram", pParent, SLOT(viewHistogram()), ALT+Key_2, 3);
+	pView->insertItem( "&Info", pParent, SLOT(viewInfo()), Qt::ALT+Qt::Key_0, 1);
+	pView->insertItem( "&Tone Mapping", pParent, SLOT(viewRight()), Qt::ALT+Qt::Key_1, 2);
+	pView->insertItem( "&Histogram", pParent, SLOT(viewHistogram()), Qt::ALT+Qt::Key_2, 3);
 	pView->insertSeparator();
-	pView->insertItem( "Zoom &In", pParent, SLOT(zoomIn()), CTRL+Key_Plus, 4);
-	pView->insertItem( "Zoom &Out", pParent, SLOT(zoomOut()), CTRL+Key_Minus, 5);
-	pView->insertItem( "Fit To &Screen", pParent, SLOT(fitToScreen()), ALT+Key_3, 6);
-	pView->insertItem( "Fit &Width", pParent, SLOT(fitToWidth()), ALT+Key_4, 7);
-	pView->insertItem( "Fit &Height", pParent, SLOT(fitToHeight()), ALT+Key_5, 8);
+	pView->insertItem( "Zoom &In", pParent, SLOT(zoomIn()), Qt::CTRL+Qt::Key_Plus, 4);
+	pView->insertItem( "Zoom &Out", pParent, SLOT(zoomOut()), Qt::CTRL+Qt::Key_Minus, 5);
+	pView->insertItem( "Fit To &Screen", pParent, SLOT(fitToScreen()), Qt::ALT+Qt::Key_3, 6);
+	pView->insertItem( "Fit &Width", pParent, SLOT(fitToWidth()), Qt::ALT+Qt::Key_4, 7);
+	pView->insertItem( "Fit &Height", pParent, SLOT(fitToHeight()), Qt::ALT+Qt::Key_5, 8);
 	insertItem("&View", pView, 3);
 	pView->setCheckable(true);
 
@@ -82,21 +82,21 @@ int TMOGUIMenu::Create()
 	pComponent->insertItem("&Green", 1);
 	pComponent->insertItem("&Blue", 2);
 
-	pCommand->insertItem( *TMOResource::pResource->IconDuplicate->pixmap(), "&Duplicate Image", pParent, SLOT(duplicateCommand()), CTRL+Key_D, 1);
+	pCommand->insertItem( *TMOResource::pResource->IconDuplicate->pixmap(), "&Duplicate Image", pParent, SLOT(duplicateCommand()), Qt::CTRL+Qt::Key_D, 1);
 	pCommand->insertItem( *TMOResource::pResource->IconSize->pixmap(), "Change Image &Size", pParent, SLOT(sizeCommand()), 0, 2);
 	pCommand->insertSeparator();
-	pCommand->insertItem( "&Extract Luminance", pParent, SLOT(extractLumCommand()), CTRL+Key_L, 3);
+	pCommand->insertItem( "&Extract Luminance", pParent, SLOT(extractLumCommand()), Qt::CTRL+Qt::Key_L, 3);
 	pCommand->insertItem( "Extract &Component", pComponent, 4);
 	pCommand->insertItem( "&Merge components", pParent, SLOT(mergeCommand()), 0, 5);
 	pCommand->insertSeparator();
 	pCommand->insertItem( "Arithmetical &Operation", pParent, SLOT(operationCommand()), 0, 6);
 	insertItem("&Command", pCommand, 5);
 
-	pHelpIt->insertItem( "&Help", pParent, SLOT(showHelp()), Key_F1, 0, 1);
+	pHelpIt->insertItem( "&Help", pParent, SLOT(showHelp()), Qt::Key_F1, 0, 1);
 	pHelpIt->insertSeparator();
 	pHelpIt->insertItem( "&About", this, SLOT(about()), 0, 3);
 	pHelpIt->insertSeparator();
-	pHelpIt->insertItem( *TMOResource::pResource->IconThis->pixmap(), "&What's This?", pParent,  SLOT(whatsThis()), SHIFT+Key_F1, 5);
+	pHelpIt->insertItem( *TMOResource::pResource->IconThis->pixmap(), "&What's This?", pParent,  SLOT(whatsThis()), Qt::SHIFT+Qt::Key_F1, 5);
 	insertItem("&Help", pHelpIt, 5);	
 
 	pImage = 0;
@@ -213,7 +213,7 @@ void TMOGUIMenu::windowChanged(TMOGUIImage* pImg)
 
 int TMOGUIMenu::Enable(int menu, int item)
 {
-	QPopupMenu* pMenu;
+	Q3PopupMenu* pMenu;
 	switch (menu)
 	{
 	case 1:
@@ -240,7 +240,7 @@ int TMOGUIMenu::Enable(int menu, int item)
 
 int TMOGUIMenu::Disable(int menu, int item)
 {
-	QPopupMenu* pMenu;
+	Q3PopupMenu* pMenu;
 	switch (menu)
 	{
 	case 1:
@@ -269,9 +269,9 @@ int TMOGUIMenu::LoadRecent()
 {
 	QFile f("recent.dat");
 
-	if (f.open(IO_ReadOnly))
+	if (f.open(QIODevice::ReadOnly))
 	{
-        QTextStream t( &f );        
+        Q3TextStream t( &f );        
         QString s;
 		listRecent.clear();
         int n = 1;
@@ -291,9 +291,9 @@ int TMOGUIMenu::SaveRecent()
 {
 	QFile f("recent.dat");
 	QString *temp;
-	if (f.open(IO_WriteOnly))
+	if (f.open(QIODevice::WriteOnly))
 	{
-        QTextStream t( &f );        
+        Q3TextStream t( &f );        
  
         for ( temp = listRecent.first(); temp; temp = listRecent.next() )			
 		{
diff --git a/TMOgui/TMOGUIMenu.h b/TMOgui/TMOGUIMenu.h
index 471d67b..d5e1119 100644
--- a/TMOgui/TMOGUIMenu.h
+++ b/TMOgui/TMOGUIMenu.h
@@ -3,6 +3,8 @@
 //////////////////////////////////////////////////////////////////////
 #include <qmenubar.h>
 #include <qlist.h>
+//Added by qt3to4:
+#include <Q3PopupMenu>
 
 class QWorkspace;
 class TMOGUIImage;
@@ -64,7 +66,7 @@ public:
 	//! Destructor.
 	virtual ~TMOGUIMenu();
 	//! Public because of the histogram menu item.
-	QPopupMenu* pView;
+	Q3PopupMenu* pView;
 
 public slots:
 	//! Slot for signal when window is changed.
@@ -85,14 +87,14 @@ protected:
 	//! Saves list of recent files to file "recent.dat".
 	virtual int SaveRecent();
 
-	QPopupMenu* pFile;
-	QPopupMenu* pRecent;	
-	QPopupMenu* pEdit;
-	QPopupMenu* pCommand;
-	QPopupMenu* pWindows;
-	QPopupMenu* pHelp;
-	QPopupMenu* pComponent;
-	QPopupMenu* pHelpIt;
+	Q3PopupMenu* pFile;
+	Q3PopupMenu* pRecent;	
+	Q3PopupMenu* pEdit;
+	Q3PopupMenu* pCommand;
+	Q3PopupMenu* pWindows;
+	Q3PopupMenu* pHelp;
+	Q3PopupMenu* pComponent;
+	Q3PopupMenu* pHelpIt;
 	QWidget* pParent;
 	//! List of names of recent files.
 	QList<QString> listRecent;
diff --git a/TMOgui/TMOGUIOutput.cpp b/TMOgui/TMOGUIOutput.cpp
index 9a757d1..73db2ae 100644
--- a/TMOgui/TMOGUIOutput.cpp
+++ b/TMOgui/TMOGUIOutput.cpp
@@ -14,7 +14,7 @@ QMap<TMOImage*, TMOGUIOutput*> TMOGUIOutput::mapLocal;
 TMOGUIInfo* TMOGUIOutput::pInfo = 0;
 
 TMOGUIOutput::TMOGUIOutput(QWidget* parent, const char * name):
-	QMultiLineEdit(parent, name)
+	Q3MultiLineEdit(parent, name)
 {
 	bVisible = false;
 	sText = "";
diff --git a/TMOgui/TMOGUIOutput.h b/TMOgui/TMOGUIOutput.h
index 0299006..9d6317a 100644
--- a/TMOgui/TMOGUIOutput.h
+++ b/TMOgui/TMOGUIOutput.h
@@ -1,14 +1,14 @@
 // TMOGUIOutput.h: interface for the TMOGUIOutput class.
 //
 //////////////////////////////////////////////////////////////////////
-#include <qmultilineedit.h>
+#include <q3multilineedit.h>
 #include <qmap.h>
 
 class TMOImage;
 class QString;
 class TMOGUIInfo;
 
-class TMOGUIOutput : public QMultiLineEdit  
+class TMOGUIOutput : public Q3MultiLineEdit  
 {
 	Q_OBJECT
 public:
diff --git a/TMOgui/TMOGUIParameters.cpp b/TMOgui/TMOGUIParameters.cpp
index 978af8f..0dda96e 100644
--- a/TMOgui/TMOGUIParameters.cpp
+++ b/TMOgui/TMOGUIParameters.cpp
@@ -8,7 +8,9 @@
 #include <qsizepolicy.h>
 #include <qlabel.h>
 #include <qstring.h>
-#include <qvbox.h>
+#include <q3vbox.h>
+//Added by qt3to4:
+#include <QResizeEvent>
 
 #include "lqstring.h"
 
@@ -16,15 +18,15 @@
 // Construction/Destruction
 //////////////////////////////////////////////////////////////////////
 
-TMOGUIParameters::TMOGUIParameters( QWidget * parent, const char * name): QScrollView(parent, name)
+TMOGUIParameters::TMOGUIParameters( QWidget * parent, const char * name): Q3ScrollView(parent, name)
 {
 	parentWidget = parent;
 	pParams = 0;
 	iParams = 0;
 	iCurParam = 0;
 	backWidth = 0;
-	this->setResizePolicy(QScrollView::AutoOne);
-	big_box = new QVBox(this->viewport());
+	this->setResizePolicy(Q3ScrollView::AutoOne);
+	big_box = new Q3VBox(this->viewport());
 	QRect r = this->contentsRect();
     this->addChild(big_box);
 }
diff --git a/TMOgui/TMOGUIParameters.h b/TMOgui/TMOGUIParameters.h
index c9feeec..b7ff0b0 100644
--- a/TMOgui/TMOGUIParameters.h
+++ b/TMOgui/TMOGUIParameters.h
@@ -2,13 +2,16 @@
 //
 //////////////////////////////////////////////////////////////////////
 
-#include <qscrollview.h>
+#include <q3scrollview.h>
+//Added by qt3to4:
+#include <Q3GridLayout>
+#include <QResizeEvent>
 #include <string>
 
 class TMOGUIParametersItem;
-class QGridLayout;
+class Q3GridLayout;
 class TMO;
-class QVBox;
+class Q3VBox;
 class QString;
 
 /*! \class TMOGUIParameters	
@@ -16,7 +19,7 @@ class QString;
  *
  * There are placed instances of TMOParameterItem. Inherits from QScrollView.
  */
-class TMOGUIParameters : public QScrollView
+class TMOGUIParameters : public Q3ScrollView
 {
 	Q_OBJECT
 public:
@@ -39,7 +42,7 @@ public:
 	//! Pointer to parent widget.
 	QWidget* parentWidget;
 	//! panel for parameters.
-	QVBox* big_box;
+	Q3VBox* big_box;
 	//! Used for parameterItems. Indicates last created parameter;
 	int iCurParam;
 	int backWidth;
diff --git a/TMOgui/TMOGUIParametersItem.cpp b/TMOgui/TMOGUIParametersItem.cpp
index c43cc62..4d125e5 100644
--- a/TMOgui/TMOGUIParametersItem.cpp
+++ b/TMOgui/TMOGUIParametersItem.cpp
@@ -5,11 +5,13 @@
 #include <qlabel.h>
 #include <qlineedit.h>
 #include <qscrollbar.h>
-#include <qscrollview.h>
-#include <qvbox.h>
+#include <q3scrollview.h>
+#include <q3vbox.h>
 #include <qlayout.h>
 #include <qtooltip.h>
 #include <qcheckbox.h>
+//Added by qt3to4:
+#include <Q3GridLayout>
 #include "../tmolib/TMO.h"
 #include "TMOGUIParameters.h"
 #include "TMOGUIParametersItem.h"
@@ -35,7 +37,7 @@ int TMOGUIParametersItem::Create(TMOParameter* pParam, TMOGUIParameters* pParent
 	pParameter = pParam;
 	if (pParam->Is(TMO_INT) || pParam->Is(TMO_DOUBLE))
 	{
-		pLayout = new QGridLayout(this, 3, 4);
+		pLayout = new Q3GridLayout(this, 3, 4);
 		pLayout->setRowSpacing(0, 10);
 		pLayout->setRowSpacing(3, 5);
 		pLayout->setColSpacing(0, 5);
@@ -44,7 +46,7 @@ int TMOGUIParametersItem::Create(TMOParameter* pParam, TMOGUIParameters* pParent
 		QString s, s2;
 		iWidgets = 3;
 		pWidgets = new QWidget*[iWidgets];
-		pWidgets[2] = new QScrollBar(QScrollBar::Horizontal, this, "ParamScroll");
+		pWidgets[2] = new QScrollBar(Qt::Horizontal, this, "ParamScroll");
 		QScrollBar* sb = static_cast<QScrollBar*>(pWidgets[2]);
 		if (pParam->Is(TMO_INT)) 
 		{
@@ -85,7 +87,7 @@ int TMOGUIParametersItem::Create(TMOParameter* pParam, TMOGUIParameters* pParent
 	}
 	else if (pParam->Is(TMO_BOOL))
 	{
-		pLayout = new QGridLayout(this, 2, 4);
+		pLayout = new Q3GridLayout(this, 2, 4);
 		pLayout->setRowSpacing(0, 10);
 		pLayout->setRowSpacing(2, 5);
 		QString s;
diff --git a/TMOgui/TMOGUIParametersItem.h b/TMOgui/TMOGUIParametersItem.h
index fc99618..e0651be 100644
--- a/TMOgui/TMOGUIParametersItem.h
+++ b/TMOgui/TMOGUIParametersItem.h
@@ -2,11 +2,13 @@
 //
 //////////////////////////////////////////////////////////////////////
 #include <qwidget.h>
+//Added by qt3to4:
+#include <Q3GridLayout>
 
 class QWidget;
 class TMOParameter;
 class TMOGUIParameters;
-class QGridLayout;
+class Q3GridLayout;
 
 /*! \class TMOGUIParametersItem	
  *	\brief zoom group in toolbar
@@ -48,7 +50,7 @@ protected:
 	//! number of widgets
 	int iWidgets;
 	//! layout for widgets
-	QGridLayout* pLayout;
+	Q3GridLayout* pLayout;
 
 public slots:
 	//! Deletes child widgets.
diff --git a/TMOgui/TMOGUIProgressBar.cpp b/TMOgui/TMOGUIProgressBar.cpp
index dfb4385..ae49ef8 100644
--- a/TMOgui/TMOGUIProgressBar.cpp
+++ b/TMOgui/TMOGUIProgressBar.cpp
@@ -1,7 +1,7 @@
 // TMOGUIProgressBar.cpp: implementation of the TMOGUIProgressBar class.
 //
 //////////////////////////////////////////////////////////////////////
-#include <qprogressbar.h>
+#include <q3progressbar.h>
 #include <qstatusbar.h>
 #include <qpushbutton.h>
 #include <qapplication.h>
@@ -15,14 +15,14 @@
 //QMap<TMOImage*, TMOGUIProgressBar*> TMOGUIProgressBar::mapLocal;
 
 TMOGUIProgressBar::TMOGUIProgressBar(QStatusBar * parent, const char * name) :
-	QHBox(parent, name)
+	Q3HBox(parent, name)
 {
 	iLast = -1;
 	bVisible = false;
 	bCancel = false;
 	pParent = parent;
 	setSpacing(8);
-	pProgress = new QProgressBar(this, "ProgressBar");
+	pProgress = new Q3ProgressBar(this, "ProgressBar");
 	pButton = new QPushButton("Cancel", this, "CancelButton");
 	pLabel = new QLabel("Working...", this, "ProgressLabel");
 	pProgress->setCenterIndicator(true);
diff --git a/TMOgui/TMOGUIProgressBar.h b/TMOgui/TMOGUIProgressBar.h
index 60ed63c..cc2b65b 100644
--- a/TMOgui/TMOGUIProgressBar.h
+++ b/TMOgui/TMOGUIProgressBar.h
@@ -1,16 +1,18 @@
 // TMOGUIProgressBar.h: interface for the TMOGUIProgressBar class.
 //
 //////////////////////////////////////////////////////////////////////
-#include <qhbox.h>
+#include <q3hbox.h>
 #include <qmap.h>
+//Added by qt3to4:
+#include <QLabel>
 
-class QProgressBar;
+class Q3ProgressBar;
 class QPushButton;
 class QLabel;
 class QStatusBar;
 class TMOImage;
 
-class TMOGUIProgressBar : public QHBox  
+class TMOGUIProgressBar : public Q3HBox  
 {
 	Q_OBJECT
 public:
@@ -25,7 +27,7 @@ protected:
 	bool bCancel;
 	bool bVisible;
 	int iLast;
-	QProgressBar *pProgress;
+	Q3ProgressBar *pProgress;
 	QPushButton *pButton;
 	QLabel *pLabel;
 	QStatusBar *pParent;
diff --git a/TMOgui/TMOGUIRightBar.cpp b/TMOgui/TMOGUIRightBar.cpp
index c9315fe..90002cb 100644
--- a/TMOgui/TMOGUIRightBar.cpp
+++ b/TMOgui/TMOGUIRightBar.cpp
@@ -8,15 +8,17 @@
 #include "TMOGUIResource.h"
 #include <qpushbutton.h>
 #include <qtabwidget.h>
-#include <qvbox.h>
+#include <q3vbox.h>
 #include <qcursor.h>
 #include <qlabel.h>
+//Added by qt3to4:
+#include <QResizeEvent>
 
 //////////////////////////////////////////////////////////////////////
 // Construction/Destruction
 //////////////////////////////////////////////////////////////////////
 
-TMOGUIRightBar::TMOGUIRightBar( QWidget* parent, const char* name, WFlags f )
+TMOGUIRightBar::TMOGUIRightBar( QWidget* parent, const char* name, Qt::WFlags f )
 	: QTabWidget( parent, name, f )
 {
 	bVisible = false;
diff --git a/TMOgui/TMOGUIRightBar.h b/TMOgui/TMOGUIRightBar.h
index e3e93ba..3a446ed 100644
--- a/TMOgui/TMOGUIRightBar.h
+++ b/TMOgui/TMOGUIRightBar.h
@@ -3,8 +3,10 @@
 //////////////////////////////////////////////////////////////////////
 
 #include <qtabwidget.h>
+//Added by qt3to4:
+#include <QResizeEvent>
 
-class QVBox;
+class Q3VBox;
 class QPushButton;
 class TMOGUIToneMapping;
 class TMOGUIFilters;
@@ -14,7 +16,7 @@ class TMOGUIRightBar : public QTabWidget
 {
 	Q_OBJECT
 public:
-	TMOGUIRightBar( QWidget* parent = 0, const char* name = 0, WFlags f = 0 );
+	TMOGUIRightBar( QWidget* parent = 0, const char* name = 0, Qt::WFlags f = 0 );
 	virtual ~TMOGUIRightBar();
 	virtual TMO* GetTMO();
 	virtual TMOGUIToneMapping* GetMapping() {return pToneMapping;}
@@ -22,7 +24,7 @@ public:
 protected:
 
 	void resizeEvent ( QResizeEvent * );
-	QVBox* pVBox;
+	Q3VBox* pVBox;
 	QPushButton* pRightButton;
 	TMOGUIFilters* pFilters;
 	QTabWidget* pTabWidget;
diff --git a/TMOgui/TMOGUISaveDialog.cpp b/TMOgui/TMOGUISaveDialog.cpp
index 4963df7..a62b27f 100644
--- a/TMOgui/TMOGUISaveDialog.cpp
+++ b/TMOgui/TMOGUISaveDialog.cpp
@@ -1,14 +1,14 @@
 #include "TMOGUISaveDialog.h"
 
 //#include <iostream>
-#include <qobjectlist.h>
+#include <qobject.h>
 #include <qlineedit.h>
 
 
 
-TMOGUISaveDialog::TMOGUISaveDialog( const QString & dirName, filterMap * fm, QWidget * parent, const char * name, bool modal):QFileDialog(dirName, "", parent, name, modal)
+TMOGUISaveDialog::TMOGUISaveDialog( const QString & dirName, filterMap * fm, QWidget * parent, const char * name, bool modal):Q3FileDialog(dirName, "", parent, name, modal)
 {
- setMode(QFileDialog::AnyFile);
+ setMode(Q3FileDialog::AnyFile);
  setSelection(dirName);
  QObjectList * ch = queryList("QLineEdit", "name/filter editor"); 
  QObject * w;
diff --git a/TMOgui/TMOGUISaveDialog.h b/TMOgui/TMOGUISaveDialog.h
index ffc130a..813f338 100644
--- a/TMOgui/TMOGUISaveDialog.h
+++ b/TMOgui/TMOGUISaveDialog.h
@@ -1,7 +1,7 @@
 #ifndef TMOGUISAVEDIALOG
 #define TMOGUISAVEDIALOG
 
-#include <qfiledialog.h>
+#include <q3filedialog.h>
 #include <qmap.h>
 #include <qstring.h>
 
@@ -15,7 +15,7 @@ struct fileType
 
 typedef QMap<QString, fileType> filterMap;
 
-class TMOGUISaveDialog : public QFileDialog
+class TMOGUISaveDialog : public Q3FileDialog
 {
  Q_OBJECT
 public:
diff --git a/TMOgui/TMOGUIStatistics.cpp b/TMOgui/TMOGUIStatistics.cpp
index 6dfa802..c2082b9 100644
--- a/TMOgui/TMOGUIStatistics.cpp
+++ b/TMOgui/TMOGUIStatistics.cpp
@@ -14,7 +14,7 @@
 //////////////////////////////////////////////////////////////////////
 
 TMOGUIStatistics::TMOGUIStatistics(QWidget* parent, const char * name):
-	QScrollView(parent, name)
+	Q3ScrollView(parent, name)
 {
 	pPanel = new TMOGUIInfoPanel(viewport(), "Panel");
 	addChild(pPanel);
diff --git a/TMOgui/TMOGUIStatistics.h b/TMOgui/TMOGUIStatistics.h
index e354f32..fbefb77 100644
--- a/TMOgui/TMOGUIStatistics.h
+++ b/TMOgui/TMOGUIStatistics.h
@@ -1,7 +1,7 @@
 // TMOGUIStatistics.h: interface for the TMOGUIStatistics class.
 //
 //////////////////////////////////////////////////////////////////////
-#include <qscrollview.h>
+#include <q3scrollview.h>
 
 class TMOGUIImage;
 class TMOGUIInfoPanel;
@@ -12,7 +12,7 @@ class TMOGUIInfoPanel;
  * Consists of panel that is placed in viewport of this panel. It enables optional size of panel.
  * Inherits from QScrollView.
  */
-class TMOGUIStatistics : public QScrollView  
+class TMOGUIStatistics : public Q3ScrollView  
 {
 	Q_OBJECT
 public:
diff --git a/TMOgui/TMOGUIStatus.cpp b/TMOgui/TMOGUIStatus.cpp
index 20260b8..8563557 100644
--- a/TMOgui/TMOGUIStatus.cpp
+++ b/TMOgui/TMOGUIStatus.cpp
@@ -3,9 +3,11 @@
 //////////////////////////////////////////////////////////////////////
 
 #include "TMOGUIStatus.h"
-#include <qhbox.h>
+#include <q3hbox.h>
 #include <qlabel.h>
 #include <qapplication.h>
+//Added by qt3to4:
+#include <Q3Frame>
 
 //////////////////////////////////////////////////////////////////////
 // Construction/Destruction
@@ -30,7 +32,7 @@ int TMOGUIStatus::Create()
 //	message("Ready",2000);
 //	pProgress = new TMOGUIProgressBar(this, "ProgressBar");
 	pPosition = new QLabel(this, "Position");
-	pPosition->setFrameStyle( QFrame::Panel);
+	pPosition->setFrameStyle( Q3Frame::Panel);
 	pPosition->setText("Tone mapping studio, 2004-2015");
 	addWidget(pPosition,0,true);
 	return 0;
diff --git a/TMOgui/TMOGUIStatus.h b/TMOgui/TMOGUIStatus.h
index 026b145..c961155 100644
--- a/TMOgui/TMOGUIStatus.h
+++ b/TMOgui/TMOGUIStatus.h
@@ -2,6 +2,8 @@
 //
 //////////////////////////////////////////////////////////////////////
 #include <qstatusbar.h>
+//Added by qt3to4:
+#include <QLabel>
 //#include "TMOGUIProgressBar.h"
 
 class QLabel;
diff --git a/TMOgui/TMOGUIToneMapping.cpp b/TMOgui/TMOGUIToneMapping.cpp
index f10098a..547231d 100644
--- a/TMOgui/TMOGUIToneMapping.cpp
+++ b/TMOgui/TMOGUIToneMapping.cpp
@@ -11,26 +11,28 @@
 #include "TMOGUIParameters.h"
 #include <qlayout.h>
 #include <qlabel.h>
-#include <qgroupbox.h>
+#include <q3groupbox.h>
 #include <qcombobox.h>
-#include <qscrollview.h>
+#include <q3scrollview.h>
 #include <qpushbutton.h>
-#include <qmultilineedit.h>
+#include <q3multilineedit.h>
+//Added by qt3to4:
+#include <Q3GridLayout>
 #include "lqstring.h"
 
 //////////////////////////////////////////////////////////////////////
 // Construction/Destruction
 //////////////////////////////////////////////////////////////////////
 
-TMOGUIToneMapping::TMOGUIToneMapping( QWidget* parent, const char* name, WFlags f ):
+TMOGUIToneMapping::TMOGUIToneMapping( QWidget* parent, const char* name, Qt::WFlags f ):
 	QWidget(parent, name, f)
 {
-	QGroupBox *pGroupBox;
+	Q3GroupBox *pGroupBox;
 	QLabel* pLabel;
 
 	pTMO = 0;
 	pParameters = 0;
-	QGridLayout* pLayout = new QGridLayout(this,8,7);
+	Q3GridLayout* pLayout = new Q3GridLayout(this,8,7);
 
 	pLayout->addColSpacing(0,10);
 	pLayout->addColSpacing(3,10);
@@ -44,7 +46,7 @@ TMOGUIToneMapping::TMOGUIToneMapping( QWidget* parent, const char* name, WFlags
 	pLayout->setColStretch(1,1);
 	pLayout->setColStretch(5,1);
 	
-	pGroupBox = new QGroupBox(1,Horizontal,"Tone Mapping",this, "ToneMappingGroupBox");
+	pGroupBox = new Q3GroupBox(1,Qt::Horizontal,"Tone Mapping",this, "ToneMappingGroupBox");
 	pGroupBox->move(10,0);
 	pLayout->addMultiCellWidget(pGroupBox,0,0,1,5);
 	
@@ -54,7 +56,7 @@ TMOGUIToneMapping::TMOGUIToneMapping( QWidget* parent, const char* name, WFlags
 	pTechnique = new QComboBox( false, pGroupBox, "Technique" );
 	FillLibrary();
 	
-	pDescription = new QMultiLineEdit(this, "Description");
+	pDescription = new Q3MultiLineEdit(this, "Description");
 	pDescription->setReadOnly(true);
 	pLayout->addMultiCellWidget(pDescription, 2,2,1,5);
 
diff --git a/TMOgui/TMOGUIToneMapping.h b/TMOgui/TMOGUIToneMapping.h
index 4d8e557..c55725f 100644
--- a/TMOgui/TMOGUIToneMapping.h
+++ b/TMOgui/TMOGUIToneMapping.h
@@ -4,11 +4,11 @@
 
 #include <qwidget.h>
 
-class QScrollView;
+class Q3ScrollView;
 class QComboBox;
 class TMOGUIParameters;
 class TMO;
-class QMultiLineEdit;
+class Q3MultiLineEdit;
 class QPushButton;
 
 class TMOGUIToneMapping : public QWidget  
@@ -16,7 +16,7 @@ class TMOGUIToneMapping : public QWidget
 	Q_OBJECT
 public:
 //	int Create(QWidget* pWindow);
-	TMOGUIToneMapping( QWidget* parent = 0, const char* name = 0, WFlags f = 0 );
+	TMOGUIToneMapping( QWidget* parent = 0, const char* name = 0, Qt::WFlags f = 0 );
 	virtual ~TMOGUIToneMapping();
 	TMO** pTMO;
 	int iCurTechnique;
@@ -27,8 +27,8 @@ protected:
 
 	QComboBox *pLibrary;
     QComboBox *pTechnique;
-	QScrollView *pView;
-	QMultiLineEdit* pDescription;
+	Q3ScrollView *pView;
+	Q3MultiLineEdit* pDescription;
 	TMOGUIParameters *pParameters;
 	wchar_t** sLibraries;
 	int iCurLibrary;
diff --git a/TMOgui/TMOGUIToneSlider.cpp b/TMOgui/TMOGUIToneSlider.cpp
index c97a6d7..854ff9e 100644
--- a/TMOgui/TMOGUIToneSlider.cpp
+++ b/TMOgui/TMOGUIToneSlider.cpp
@@ -7,6 +7,11 @@
 #include <qpainter.h>
 #include <qlayout.h>
 #include <qpixmap.h>
+//Added by qt3to4:
+#include <QResizeEvent>
+#include <Q3PointArray>
+#include <QMouseEvent>
+#include <QPaintEvent>
 #include <math.h>
 #include "gamma.h"
 
@@ -17,7 +22,7 @@
 //////////////////////////////////////////////////////////////////////
 
 TMOGUIToneSlider::TMOGUIToneSlider(QWidget* parent, const char * name):
-	QWidget(parent, name, WRepaintNoErase | WResizeNoErase)
+	QWidget(parent, name, Qt::WNoAutoErase | Qt::WResizeNoErase)
 {
 	setFixedHeight(20);
 	iBlack = iWhite = iGamma = 0;
@@ -221,7 +226,7 @@ void TMOGUIToneSlider::setlog()
 
 int TMOGUIToneSlider::DrawMarker(QPainter* p, int x, QColor col)
 {
-	QPointArray pa(3);
+	Q3PointArray pa(3);
 
 	pa.setPoint(0, x-4, 19);
 	pa.setPoint(1, x, 10);
diff --git a/TMOgui/TMOGUIToneSlider.h b/TMOgui/TMOGUIToneSlider.h
index 6786dec..80ec7cc 100644
--- a/TMOgui/TMOGUIToneSlider.h
+++ b/TMOgui/TMOGUIToneSlider.h
@@ -2,6 +2,11 @@
 //
 //////////////////////////////////////////////////////////////////////
 #include <qwidget.h>
+//Added by qt3to4:
+#include <QPixmap>
+#include <QResizeEvent>
+#include <QMouseEvent>
+#include <QPaintEvent>
 
 class TMOImage;
 class TMOGUIAdjustValues;
diff --git a/TMOgui/TMOGUITransformation.cpp b/TMOgui/TMOGUITransformation.cpp
index 3fbd978..aa690c6 100644
--- a/TMOgui/TMOGUITransformation.cpp
+++ b/TMOgui/TMOGUITransformation.cpp
@@ -5,6 +5,8 @@
 #include <qwaitcondition.h>
 #include <qmutex.h>
 #include <qapplication.h>
+//Added by qt3to4:
+#include <QCustomEvent>
 
 QMap<TMOImage*, TMOGUITransformation*> TMOGUITransformation::mapLocal;
 
diff --git a/TMOgui/TMOGUIZoomTool.cpp b/TMOgui/TMOGUIZoomTool.cpp
index 1a337ca..471d9c1 100644
--- a/TMOgui/TMOGUIZoomTool.cpp
+++ b/TMOgui/TMOGUIZoomTool.cpp
@@ -9,7 +9,7 @@
 #include <qlabel.h>
 #include <qlineedit.h>
 #include <qcombobox.h>
-#include <qpopupmenu.h>
+#include <q3popupmenu.h>
 #include <qmenubar.h>
 #include <qworkspace.h>
 #include <qpushbutton.h>
@@ -19,7 +19,7 @@
 // Construction/Destruction
 //////////////////////////////////////////////////////////////////////
 
-TMOGUIZoomTool::TMOGUIZoomTool(QWidget * parent, const char * name):QToolBar((QMainWindow*)parent, name)
+TMOGUIZoomTool::TMOGUIZoomTool(QWidget * parent, const char * name):Q3ToolBar((Q3MainWindow*)parent, name)
 {
 	pParent = parent;
 	pImage = 0;
@@ -41,7 +41,7 @@ int TMOGUIZoomTool::Create()
 	connect(zoomEdit, SIGNAL(returnPressed()), this, SLOT(zoom()));
 
 	zoomChoice = new QToolButton(this);
-	QPopupMenu * pZoom = new QPopupMenu();
+	Q3PopupMenu * pZoom = new Q3PopupMenu();
 	
 	pZoom->insertItem( "&10%", this, SLOT(zoomWithValue(int)), 0, 10);
 	pZoom->insertItem( "&25%", this, SLOT(zoomWithValue(int)), 0, 25);
diff --git a/TMOgui/TMOGUIZoomTool.h b/TMOgui/TMOGUIZoomTool.h
index 3d0bb7e..89aba8f 100644
--- a/TMOgui/TMOGUIZoomTool.h
+++ b/TMOgui/TMOGUIZoomTool.h
@@ -4,7 +4,7 @@
 #ifndef __TMOGUIZoomTool_H
 #define __TMOGUIZoomTool_H
 
-#include <qtoolbar.h>
+#include <q3toolbar.h>
 class TMOGUIImage;
 class QWorkspace;
 class QToolButton;
@@ -20,7 +20,7 @@ class QComboBox;
  * Consists of two buttons, editbox and roll down menu to select desirable zoom value. Inherits from QToolBar.
  */
 
-class TMOGUIZoomTool : public QToolBar
+class TMOGUIZoomTool : public Q3ToolBar
 {
 	Q_OBJECT	
 public:
diff --git a/TMOgui/TMOgui.pro b/TMOgui/TMOgui.pro
index 3339c90..49084dc 100644
--- a/TMOgui/TMOgui.pro
+++ b/TMOgui/TMOgui.pro
@@ -41,6 +41,8 @@ LIBS += LIBJPEGPATH
 
 LIBS = -ltiff -lIlmImf -ldl -lqassistantclient
 
+QT += qt3support
+
 # Input
 HEADERS += gamma.h \
            lqstring.h \
@@ -75,7 +77,8 @@ HEADERS += gamma.h \
            TMOGUITransformation.h \
            tmoguiwindow.h \
            TMOGUIZoomTool.h
-INTERFACES += resources.ui \
+#The following line was changed from INTERFACES to FORMS3 by qt3to4
+FORMS3 += resources.ui \
               resources1.ui \
               resources2.ui \
               resources3.ui \
@@ -124,3 +127,8 @@ win32 {
 }
 
 
+#The following line was inserted by qt3to4
+QT +=  
+#The following line was inserted by qt3to4
+CONFIG += uic3
+
